QMAGIC

QMAGIC

Post by Jan Reime » Fri, 18 Nov 1994 03:58:18



Hello:

        I'm trying to upgrade gcc by installing binaries sunsite/pub/Linux/GCC.
These new binaries have a whole cascade of dependancies, i.e. requires
new binutils, libc, libg++, ld.so and finally a new kernel which supports
"qmagic" format.  

        Question 1: What is qmagic?

        So I tried building a new kernel, (1.1.59) and during the first
(maybe the only) link it failed.  I noticed that one of the flags was -qmagic
i.e.

        ld -qmagic ... blah blah blah ...

If I type ld it lists all the recocognized command line parameters, and -qmagic
is not one of them.  

        Question 2: Do I need a new version of ld that supports -qmagic
                    to build a new kernel?  

If so then there seems to be a recursive dependancy here
kernel build needs new ld <---> and binutils requires kernel the supports qmagic
(whatever that is).

        Question 3: What is the sensible order to install all this stuff?

        Question 4: Is kernel version 1.1.59 the right thing for me
                    (a non-hacker)?

thanks in advance for any help

################################

        Jan N. Reimers
      Research Scientist
    Moli Energy (1990) Ltd.
     Tel:   (604)-465-7911
     FAX:   (604)-465-4398

################################
--

 
 
 

1. ZMAGIC and QMAGIC ????????????

Hi,

Some of my executables are of ZMAGIC and QMAGIC type.  When I try to run
them I get an error saying "unable to execute" or something like that.
I am running Redhat 4.2 with kernel 2.0.32   I also don't have the
source of the programs. I know it's got soething to do with the kernel,
but before I recompile it I want see if theres a way around it.

Thanks,


Long Live Linux

2. Why NO autofs in FBSD?? (and only AMD)

3. HELP compiling new kernel "ld -qmagic" error

4. Linux RPC/inetd

5. gcc: unrecognised option '-qmagic'

6. Reading is much more interesting than TV (0302/1704)

7. ldconfig complains incompatible QMAGIC in libraries

8. SMC Etherpower 10/100 (SMC9432TX) Support

9. QMAGIC support under Yggdrasil Fall `94

10. compile kernel 1.1.35 fails in ld ("-qmagic")

11. Where can I get latest version of ld that supports qmagic?

12. PATCH: QMAGIC patch for XEmacs v19.11

13. ZMAGIC -> QMAGIC conversion